Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class LogicalClassCreatorUtility

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.LogicalClassCreatorUtility

    public class LogicalClassCreatorUtility

extends Object

Constructor Summary
`LogicalClassCreatorUtility()`

Method Summary
`static boolean` | `addLogicalFiller(OWLModel owlModel, edu.stanford.smi.protege.model.Frame logicalClass, edu.stanford.smi.protege.model.Frame filler, String predUri, TripleStore ts)`
`static edu.stanford.smi.protege.model.Frame` | `createLogicalClass(OWLModel owlModel, edu.stanford.smi.protege.model.FrameID id, String predUri, TripleStore ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicalClassCreatorUtility

    public LogicalClassCreatorUtility()

Method Detail

### createLogicalClass

    public static edu.stanford.smi.protege.model.Frame createLogicalClass(OWLModel owlModel,
                                                                          edu.stanford.smi.protege.model.FrameID id,
                                                                          String predUri,
                                                                          TripleStore ts)

### addLogicalFiller

    public static boolean addLogicalFiller(OWLModel owlModel,
                                           edu.stanford.smi.protege.model.Frame logicalClass,
                                           edu.stanford.smi.protege.model.Frame filler,
                                           String predUri,
                                           TripleStore ts)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.